#
# spec file for package batalion (Version 97.6.29)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mesa

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         batalion
Release:      14
Copyright:    1994-1996 by Andrew Johnson
Group: 
Provides:     batalion 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      97.6.29
Summary:      A mesa-based 3D game
Source: batalion.tar.gz
Patch: batalion.dif
%description
Battalion is a good example of how 3D Games can be implemented using
Mesa and how existing OpenGL applications may be ported to Linux.
Thanks to Mesa the work involved is quite low.

Authors:
--------
    Andrew Johnson <ajohnson@eecs.uic.edu>

%prep
%setup -n batalion
%patch
%build
    make -f Makefile.Linux compile
%install
    make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/batalion
%dir /usr/lib/batalion
%dir /usr/lib/batalion/battalion.data
%dir /usr/lib/batalion/battalion.data/data
%dir /usr/lib/batalion/battalion.data/help
%dir /usr/lib/batalion/battalion.data/music
%dir /usr/lib/batalion/battalion.data/sounds
/usr/X11R6/bin/battalion
%doc /usr/X11R6/man/man6/battalion.6.gz
%doc /usr/doc/packages/batalion/README
/usr/lib/batalion/battalion.data/.zipcruft_7d2
/usr/lib/batalion/battalion.data/battalion.sho
/usr/lib/batalion/battalion.data/data/.zipcruft_456
/usr/lib/batalion/battalion.data/data/road.data
/usr/lib/batalion/battalion.data/data/tank.data
/usr/lib/batalion/battalion.data/data/tree.data
/usr/lib/batalion/battalion.data/help/bathelp01.gif
/usr/lib/batalion/battalion.data/help/bathelp02.gif
/usr/lib/batalion/battalion.data/help/bathelp03.gif
/usr/lib/batalion/battalion.data/help/bathelp04.gif
/usr/lib/batalion/battalion.data/help/bathelp05.gif
/usr/lib/batalion/battalion.data/help/bathelp06.gif
/usr/lib/batalion/battalion.data/help/bathelp07.gif
/usr/lib/batalion/battalion.data/help/bathelp08.gif
/usr/lib/batalion/battalion.data/help/bathelp09.gif
/usr/lib/batalion/battalion.data/help/bathelp10.gif
/usr/lib/batalion/battalion.data/help/bathelp11.gif
/usr/lib/batalion/battalion.data/music/beat2
/usr/lib/batalion/battalion.data/music/bigthrum1
/usr/lib/batalion/battalion.data/music/combo1a
/usr/lib/batalion/battalion.data/music/combo1halfa
/usr/lib/batalion/battalion.data/music/combobigthruma
/usr/lib/batalion/battalion.data/music/littlethruma
/usr/lib/batalion/battalion.data/music/med2thruma
/usr/lib/batalion/battalion.data/music/medthruma
/usr/lib/batalion/battalion.data/music/thrum8
/usr/lib/batalion/battalion.data/music/thrum9
/usr/lib/batalion/battalion.data/screenleft
/usr/lib/batalion/battalion.data/screenright
/usr/lib/batalion/battalion.data/sounds/beam1
/usr/lib/batalion/battalion.data/sounds/boom1
/usr/lib/batalion/battalion.data/sounds/crash
/usr/lib/batalion/battalion.data/sounds/monsterbeam1
/usr/lib/batalion/battalion.data/sounds/rocket1
/usr/lib/batalion/battalion.data/sounds/slag
/usr/lib/batalion/battalion.data/sounds/tank1
/usr/lib/batalion/battalion.data/sounds/tech

